Permalink
Browse files

Update JRE/JDK to Java 7

This closes #193. This should eliminate Eclipse warnings for developers
who don't have a version 5 and 6 JRE or JDK on their systems (but
hopefully have version 7 JDK.)
  • Loading branch information...
1 parent df67864 commit 65bfbf6a1fe0031605ad0d31e05a9c23f5b79c2b @ianbollinger ianbollinger committed Jun 18, 2014
Showing with 51 additions and 51 deletions.
  1. +3 −3 formatting.xml
  2. +3 −3 net.sf.eclipsefp.haskell-feature/.settings/org.eclipse.jdt.core.prefs
  3. +1 −1 net.sf.eclipsefp.haskell.browser/META-INF/MANIFEST.MF
  4. +1 −1 net.sf.eclipsefp.haskell.buildwrapper/META-INF/MANIFEST.MF
  5. +1 −1 net.sf.eclipsefp.haskell.compat/META-INF/MANIFEST.MF
  6. +3 −3 net.sf.eclipsefp.haskell.core.test/.settings/org.eclipse.jdt.core.prefs
  7. +1 −1 net.sf.eclipsefp.haskell.core.test/META-INF/MANIFEST.MF
  8. +1 −1 net.sf.eclipsefp.haskell.core/META-INF/MANIFEST.MF
  9. +1 −1 net.sf.eclipsefp.haskell.debug.core/META-INF/MANIFEST.MF
  10. +3 −3 net.sf.eclipsefp.haskell.debug.ui.test/.settings/org.eclipse.jdt.core.prefs
  11. +1 −1 net.sf.eclipsefp.haskell.debug.ui.test/META-INF/MANIFEST.MF
  12. +1 −1 net.sf.eclipsefp.haskell.debug.ui/META-INF/MANIFEST.MF
  13. +1 −1 net.sf.eclipsefp.haskell.doc.user/META-INF/MANIFEST.MF
  14. +3 −3 net.sf.eclipsefp.haskell.ghccompiler.test/.settings/org.eclipse.jdt.core.prefs
  15. +1 −1 net.sf.eclipsefp.haskell.ghccompiler.test/META-INF/MANIFEST.MF
  16. +1 −1 net.sf.eclipsefp.haskell.ghccompiler/META-INF/MANIFEST.MF
  17. +3 −3 net.sf.eclipsefp.haskell.hlint.test/.settings/org.eclipse.jdt.core.prefs
  18. +1 −1 net.sf.eclipsefp.haskell.hlint.test/META-INF/MANIFEST.MF
  19. +1 −1 net.sf.eclipsefp.haskell.hlint/META-INF/MANIFEST.MF
  20. +1 −1 net.sf.eclipsefp.haskell.hugs/META-INF/MANIFEST.MF
  21. +1 −1 net.sf.eclipsefp.haskell.profiler/META-INF/MANIFEST.MF
  22. +1 −1 net.sf.eclipsefp.haskell.style.test/.classpath
  23. +1 −1 net.sf.eclipsefp.haskell.style.test/META-INF/MANIFEST.MF
  24. +1 −1 net.sf.eclipsefp.haskell.style/.classpath
  25. +1 −1 net.sf.eclipsefp.haskell.style/META-INF/MANIFEST.MF
  26. +1 −1 net.sf.eclipsefp.haskell.test/META-INF/MANIFEST.MF
  27. +1 −1 net.sf.eclipsefp.haskell.ui.test/META-INF/MANIFEST.MF
  28. +1 −1 net.sf.eclipsefp.haskell.ui/META-INF/MANIFEST.MF
  29. +1 −1 net.sf.eclipsefp.haskell.util.test/.classpath
  30. +1 −1 net.sf.eclipsefp.haskell.util.test/META-INF/MANIFEST.MF
  31. +1 −1 net.sf.eclipsefp.haskell.util/META-INF/MANIFEST.MF
  32. +1 −1 net.sf.eclipsefp.haskell.visual/.classpath
  33. +1 −1 net.sf.eclipsefp.haskell.visual/META-INF/MANIFEST.MF
  34. +1 −1 net.sf.eclipsefp.haskell/META-INF/MANIFEST.MF
  35. +1 −1 org.easymock/.classpath
  36. +3 −3 org.easymock/.settings/org.eclipse.jdt.core.prefs
  37. +1 −1 org.easymock/META-INF/MANIFEST.MF
View
@@ -45,7 +45,7 @@
<setting id="org.eclipse.jdt.core.formatter.blank_lines_before_new_chunk" value="1"/>
<setting id="org.eclipse.jdt.core.formatter.insert_space_before_binary_operator" value="insert"/>
<setting id="org.eclipse.jdt.core.formatter.blank_lines_before_package" value="0"/>
-<setting id="org.eclipse.jdt.core.compiler.source" value="1.5"/>
+<setting id="org.eclipse.jdt.core.compiler.source" value="1.7"/>
<setting id="org.eclipse.jdt.core.formatter.insert_space_after_comma_in_enum_constant_arguments" value="insert"/>
<setting id="org.eclipse.jdt.core.formatter.insert_space_after_opening_paren_in_constructor_declaration" value="insert"/>
<setting id="org.eclipse.jdt.core.formatter.insert_space_after_closing_angle_bracket_in_type_arguments" value="insert"/>
@@ -157,7 +157,7 @@
<setting id="org.eclipse.jdt.core.formatter.insert_space_after_opening_bracket_in_array_reference" value="insert"/>
<setting id="org.eclipse.jdt.core.formatter.insert_space_after_and_in_type_parameter" value="insert"/>
<setting id="org.eclipse.jdt.core.formatter.alignment_for_arguments_in_qualified_allocation_expression" value="16"/>
-<setting id="org.eclipse.jdt.core.compiler.compliance" value="1.5"/>
+<setting id="org.eclipse.jdt.core.compiler.compliance" value="1.7"/>
<setting id="org.eclipse.jdt.core.formatter.continuation_indentation_for_array_initializer" value="2"/>
<setting id="org.eclipse.jdt.core.formatter.insert_space_between_empty_brackets_in_array_allocation_expression" value="do not insert"/>
<setting id="org.eclipse.jdt.core.formatter.insert_space_before_at_in_annotation_type_declaration" value="insert"/>
@@ -229,7 +229,7 @@
<setting id="org.eclipse.jdt.core.formatter.insert_space_after_comma_in_constructor_declaration_throws" value="insert"/>
<setting id="org.eclipse.jdt.core.formatter.alignment_for_parameters_in_method_declaration" value="16"/>
<setting id="org.eclipse.jdt.core.formatter.insert_space_before_closing_brace_in_array_initializer" value="insert"/>
-<setting id="org.eclipse.jdt.core.compiler.codegen.targetPlatform" value="1.5"/>
+<setting id="org.eclipse.jdt.core.compiler.codegen.targetPlatform" value="1.7"/>
<setting id="org.eclipse.jdt.core.formatter.use_tabs_only_for_leading_indentations" value="false"/>
<setting id="org.eclipse.jdt.core.formatter.insert_new_line_after_annotation_on_member" value="insert"/>
<setting id="org.eclipse.jdt.core.formatter.comment.format_header" value="false"/>
@@ -16,9 +16,9 @@ org.eclipse.jdt.core.codeComplete.staticFieldPrefixes=
org.eclipse.jdt.core.codeComplete.staticFieldSuffixes=
org.eclipse.jdt.core.compiler.codegen.inlineJsrBytecode=enabled
org.eclipse.jdt.core.compiler.codegen.methodParameters=do not generate
-org.eclipse.jdt.core.compiler.codegen.targetPlatform=1.6
+org.eclipse.jdt.core.compiler.codegen.targetPlatform=1.7
org.eclipse.jdt.core.compiler.codegen.unusedLocal=preserve
-org.eclipse.jdt.core.compiler.compliance=1.6
+org.eclipse.jdt.core.compiler.compliance=1.7
org.eclipse.jdt.core.compiler.debug.lineNumber=generate
org.eclipse.jdt.core.compiler.debug.localVariable=generate
org.eclipse.jdt.core.compiler.debug.sourceFile=generate
@@ -68,7 +68,7 @@ org.eclipse.jdt.core.compiler.problem.unusedParameterWhenImplementingAbstract=di
org.eclipse.jdt.core.compiler.problem.unusedParameterWhenOverridingConcrete=disabled
org.eclipse.jdt.core.compiler.problem.unusedPrivateMember=warning
org.eclipse.jdt.core.compiler.problem.varargsArgumentNeedCast=warning
-org.eclipse.jdt.core.compiler.source=1.6
+org.eclipse.jdt.core.compiler.source=1.7
org.eclipse.jdt.core.formatter.align_type_members_on_columns=false
org.eclipse.jdt.core.formatter.alignment_for_arguments_in_allocation_expression=16
org.eclipse.jdt.core.formatter.alignment_for_arguments_in_enum_constant=16
@@ -11,7 +11,7 @@ Require-Bundle: org.eclipse.ui;bundle-version="3.2.0",
net.sf.eclipsefp.haskell.util;bundle-version="2.3.2",
org.eclipse.jface.text;bundle-version="3.2.0"
Bundle-ActivationPolicy: lazy
-Bundle-RequiredExecutionEnvironment: JavaSE-1.6
+Bundle-RequiredExecutionEnvironment: JavaSE-1.7
Bundle-Vendor: %bundleVendor
Export-Package: net.sf.eclipsefp.haskell.browser,
net.sf.eclipsefp.haskell.browser.items
@@ -13,7 +13,7 @@ Require-Bundle: org.eclipse.ui,
org.eclipse.ui.ide;bundle-version="3.5.2",
org.eclipse.jface.text;bundle-version="3.5.2",
org.eclipse.ui.editors;bundle-version="3.5.0"
-Bundle-RequiredExecutionEnvironment: JavaSE-1.6
+Bundle-RequiredExecutionEnvironment: JavaSE-1.7
Bundle-ActivationPolicy: lazy
Export-Package: net.sf.eclipsefp.haskell.buildwrapper,
net.sf.eclipsefp.haskell.buildwrapper.types,
@@ -8,7 +8,7 @@ Require-Bundle: org.eclipse.ui,
org.eclipse.core.runtime,
org.eclipse.debug.core
Bundle-ActivationPolicy: lazy
-Bundle-RequiredExecutionEnvironment: JavaSE-1.6
+Bundle-RequiredExecutionEnvironment: JavaSE-1.7
Export-Package: net.sf.eclipsefp.haskell.compat
Import-Package: org.osgi.framework;version="1.5.0"
Bundle-Localization: plugin
@@ -1,9 +1,9 @@
eclipse.preferences.version=1
org.eclipse.jdt.core.compiler.codegen.inlineJsrBytecode=enabled
org.eclipse.jdt.core.compiler.codegen.methodParameters=do not generate
-org.eclipse.jdt.core.compiler.codegen.targetPlatform=1.6
+org.eclipse.jdt.core.compiler.codegen.targetPlatform=1.7
org.eclipse.jdt.core.compiler.codegen.unusedLocal=preserve
-org.eclipse.jdt.core.compiler.compliance=1.6
+org.eclipse.jdt.core.compiler.compliance=1.7
org.eclipse.jdt.core.compiler.debug.lineNumber=generate
org.eclipse.jdt.core.compiler.debug.localVariable=generate
org.eclipse.jdt.core.compiler.debug.sourceFile=generate
@@ -63,7 +63,7 @@ org.eclipse.jdt.core.compiler.problem.unusedParameterWhenImplementingAbstract=di
org.eclipse.jdt.core.compiler.problem.unusedParameterWhenOverridingConcrete=disabled
org.eclipse.jdt.core.compiler.problem.unusedPrivateMember=warning
org.eclipse.jdt.core.compiler.problem.varargsArgumentNeedCast=warning
-org.eclipse.jdt.core.compiler.source=1.6
+org.eclipse.jdt.core.compiler.source=1.7
org.eclipse.jdt.core.formatter.align_type_members_on_columns=false
org.eclipse.jdt.core.formatter.alignment_for_arguments_in_allocation_expression=16
org.eclipse.jdt.core.formatter.alignment_for_arguments_in_enum_constant=16
@@ -22,4 +22,4 @@ Export-Package: net.sf.eclipsefp.haskell.core.cabalmodel,
net.sf.eclipsefp.haskell.core.project,
net.sf.eclipsefp.haskell.core.project.util,
net.sf.eclipsefp.haskell.core.test
-Bundle-RequiredExecutionEnvironment: J2SE-1.5
+Bundle-RequiredExecutionEnvironment: JavaSE-1.7
@@ -18,7 +18,7 @@ Require-Bundle: org.eclipse.core.expressions;bundle-version="[3.2.0,4.0.0)",
org.eclipse.core.variables
Bundle-ActivationPolicy: lazy
Bundle-ManifestVersion: 2
-Bundle-RequiredExecutionEnvironment: JavaSE-1.6
+Bundle-RequiredExecutionEnvironment: JavaSE-1.7
Export-Package: net.sf.eclipsefp.haskell.core;uses:="org.osgi.framework,org.eclipse.core.runtime",
net.sf.eclipsefp.haskell.core.builder;uses:="org.eclipse.core.resources,org.eclipse.core.runtime",
net.sf.eclipsefp.haskell.core.cabal;uses:="net.sf.eclipsefp.haskell.core.internal.hsimpl",
@@ -19,7 +19,7 @@ Require-Bundle: org.eclipse.core.runtime,
org.eclipse.ui.editors,
net.sf.eclipsefp.haskell.buildwrapper
Bundle-ActivationPolicy: lazy
-Bundle-RequiredExecutionEnvironment: JavaSE-1.6
+Bundle-RequiredExecutionEnvironment: JavaSE-1.7
Bundle-Localization: plugin
Export-Package: net.sf.eclipsefp.haskell.debug.core.internal,
net.sf.eclipsefp.haskell.debug.core.internal.debug,
@@ -1,9 +1,9 @@
eclipse.preferences.version=1
org.eclipse.jdt.core.compiler.codegen.inlineJsrBytecode=enabled
org.eclipse.jdt.core.compiler.codegen.methodParameters=do not generate
-org.eclipse.jdt.core.compiler.codegen.targetPlatform=1.6
+org.eclipse.jdt.core.compiler.codegen.targetPlatform=1.7
org.eclipse.jdt.core.compiler.codegen.unusedLocal=preserve
-org.eclipse.jdt.core.compiler.compliance=1.6
+org.eclipse.jdt.core.compiler.compliance=1.7
org.eclipse.jdt.core.compiler.debug.lineNumber=generate
org.eclipse.jdt.core.compiler.debug.localVariable=generate
org.eclipse.jdt.core.compiler.debug.sourceFile=generate
@@ -63,7 +63,7 @@ org.eclipse.jdt.core.compiler.problem.unusedParameterWhenImplementingAbstract=di
org.eclipse.jdt.core.compiler.problem.unusedParameterWhenOverridingConcrete=disabled
org.eclipse.jdt.core.compiler.problem.unusedPrivateMember=warning
org.eclipse.jdt.core.compiler.problem.varargsArgumentNeedCast=warning
-org.eclipse.jdt.core.compiler.source=1.6
+org.eclipse.jdt.core.compiler.source=1.7
org.eclipse.jdt.core.formatter.align_type_members_on_columns=false
org.eclipse.jdt.core.formatter.alignment_for_arguments_in_allocation_expression=16
org.eclipse.jdt.core.formatter.alignment_for_arguments_in_enum_constant=16
@@ -16,5 +16,5 @@ Require-Bundle: net.sf.eclipsefp.haskell.core,
org.junit;bundle-version="[4.8.0,4.12.0)",
net.sf.eclipsefp.haskell.debug.core;bundle-version="2.6.0"
Bundle-ActivationPolicy: lazy
-Bundle-RequiredExecutionEnvironment: J2SE-1.5
+Bundle-RequiredExecutionEnvironment: JavaSE-1.7
Export-Package: net.sf.eclipsefp.haskell.debug.ui.test
@@ -20,7 +20,7 @@ Require-Bundle: net.sf.eclipsefp.haskell.ghccompiler,
net.sf.eclipsefp.haskell.compat,
org.eclipse.ui.console,
org.eclipse.ui.navigator
-Bundle-RequiredExecutionEnvironment: JavaSE-1.6
+Bundle-RequiredExecutionEnvironment: JavaSE-1.7
Bundle-Localization: plugin
Export-Package: net.sf.eclipsefp.haskell.debug.ui.internal;x-friends:="net.sf.eclipsefp.haskell.debug.ui.test",
net.sf.eclipsefp.haskell.debug.ui.internal.launch;x-friends:="net.sf.eclipsefp.haskell.hugs",
@@ -6,4 +6,4 @@ Bundle-Vendor: %bundleVendor
Bundle-Localization: plugin
Bundle-ActivationPolicy: lazy
Bundle-ManifestVersion: 2
-Bundle-RequiredExecutionEnvironment: JavaSE-1.6
+Bundle-RequiredExecutionEnvironment: JavaSE-1.7
@@ -1,15 +1,15 @@
eclipse.preferences.version=1
org.eclipse.jdt.core.compiler.codegen.inlineJsrBytecode=enabled
org.eclipse.jdt.core.compiler.codegen.methodParameters=do not generate
-org.eclipse.jdt.core.compiler.codegen.targetPlatform=1.6
+org.eclipse.jdt.core.compiler.codegen.targetPlatform=1.7
org.eclipse.jdt.core.compiler.codegen.unusedLocal=preserve
-org.eclipse.jdt.core.compiler.compliance=1.6
+org.eclipse.jdt.core.compiler.compliance=1.7
org.eclipse.jdt.core.compiler.debug.lineNumber=generate
org.eclipse.jdt.core.compiler.debug.localVariable=generate
org.eclipse.jdt.core.compiler.debug.sourceFile=generate
org.eclipse.jdt.core.compiler.problem.assertIdentifier=error
org.eclipse.jdt.core.compiler.problem.enumIdentifier=error
-org.eclipse.jdt.core.compiler.source=1.6
+org.eclipse.jdt.core.compiler.source=1.7
org.eclipse.jdt.core.formatter.align_type_members_on_columns=false
org.eclipse.jdt.core.formatter.alignment_for_arguments_in_allocation_expression=16
org.eclipse.jdt.core.formatter.alignment_for_arguments_in_enum_constant=16
@@ -14,4 +14,4 @@ Require-Bundle: org.easymock;bundle-version="[2.2.0,3.0.0)",
net.sf.eclipsefp.haskell.core.test,
net.sf.eclipsefp.haskell.buildwrapper
Export-Package: net.sf.eclipsefp.haskell.ghccompiler.test
-Bundle-RequiredExecutionEnvironment: J2SE-1.5
+Bundle-RequiredExecutionEnvironment: JavaSE-1.7
@@ -15,7 +15,7 @@ Require-Bundle: net.sf.eclipsefp.haskell.core,
org.eclipse.ui.forms
Bundle-ActivationPolicy: lazy
Bundle-ManifestVersion: 2
-Bundle-RequiredExecutionEnvironment: JavaSE-1.6
+Bundle-RequiredExecutionEnvironment: JavaSE-1.7
Export-Package: net.sf.eclipsefp.haskell.ghccompiler;x-friends:="net.sf.eclipsefp.haskell.debug.ui,net.sf.eclipsefp.haskell.debug.ui.test,net.sf.eclipsefp.haskell.debug.core",
net.sf.eclipsefp.haskell.ghccompiler.core;x-friends:="net.sf.eclipsefp.haskell.ghccompiler.test,net.sf.eclipsefp.haskell.debug.ui,net.sf.eclipsefp.haskell.debug.core",
net.sf.eclipsefp.haskell.ghccompiler.core.preferences;x-friends:="net.sf.eclipsefp.haskell.debug.ui,net.sf.eclipsefp.haskell.debug.ui.test,net.sf.eclipsefp.haskell.debug.core"
@@ -1,12 +1,12 @@
eclipse.preferences.version=1
org.eclipse.jdt.core.compiler.codegen.inlineJsrBytecode=enabled
org.eclipse.jdt.core.compiler.codegen.methodParameters=do not generate
-org.eclipse.jdt.core.compiler.codegen.targetPlatform=1.6
+org.eclipse.jdt.core.compiler.codegen.targetPlatform=1.7
org.eclipse.jdt.core.compiler.codegen.unusedLocal=preserve
-org.eclipse.jdt.core.compiler.compliance=1.6
+org.eclipse.jdt.core.compiler.compliance=1.7
org.eclipse.jdt.core.compiler.debug.lineNumber=generate
org.eclipse.jdt.core.compiler.debug.localVariable=generate
org.eclipse.jdt.core.compiler.debug.sourceFile=generate
org.eclipse.jdt.core.compiler.problem.assertIdentifier=error
org.eclipse.jdt.core.compiler.problem.enumIdentifier=error
-org.eclipse.jdt.core.compiler.source=1.6
+org.eclipse.jdt.core.compiler.source=1.7
@@ -3,7 +3,7 @@ Bundle-ManifestVersion: 2
Bundle-Name: HLintTest
Bundle-SymbolicName: net.sf.eclipsefp.haskell.hlint.test
Bundle-Version: 2.6.1.qualifier
-Bundle-RequiredExecutionEnvironment: JavaSE-1.6
+Bundle-RequiredExecutionEnvironment: JavaSE-1.7
Require-Bundle: org.junit;bundle-version="[4.8.0,4.12.0)",
net.sf.eclipsefp.haskell.hlint;bundle-version="2.5.0"
Export-Package: net.sf.eclipsefp.haskell.hlint
@@ -9,7 +9,7 @@ Require-Bundle: org.eclipse.ui;bundle-version="[3.2.0,4.0.0)",
net.sf.eclipsefp.haskell.util;bundle-version="2.0.3",
org.eclipse.core.resources
Bundle-ActivationPolicy: lazy
-Bundle-RequiredExecutionEnvironment: JavaSE-1.6
+Bundle-RequiredExecutionEnvironment: JavaSE-1.7
Bundle-Vendor: %bundleVendor
Bundle-ClassPath: .
Export-Package: net.sf.eclipsefp.haskell.hlint
@@ -17,4 +17,4 @@ Require-Bundle: net.sf.eclipsefp.haskell.core,
Bundle-ActivationPolicy: lazy
Export-Package: net.sf.eclipsefp.haskell.hugs.ui.launch
Bundle-ManifestVersion: 2
-Bundle-RequiredExecutionEnvironment: JavaSE-1.6
+Bundle-RequiredExecutionEnvironment: JavaSE-1.7
@@ -21,6 +21,6 @@ Require-Bundle: org.eclipse.core.resources,
org.eclipse.birt.chart;resolution:=optional,
org.eclipse.birt.chart.device.swt;resolution:=optional
Bundle-ActivationPolicy: lazy
-Bundle-RequiredExecutionEnvironment: JavaSE-1.6
+Bundle-RequiredExecutionEnvironment: JavaSE-1.7
Bundle-Vendor: %bundleVendor
Bundle-Localization: plugin
@@ -1,7 +1,7 @@
<?xml version="1.0" encoding="UTF-8"?>
<classpath>
<classpathentry kind="src" path="src"/>
- <classpathentry kind="con" path="org.eclipse.jdt.launching.JRE_CONTAINER/org.eclipse.jdt.internal.debug.ui.launcher.StandardVMType/JavaSE-1.6"/>
+ <classpathentry kind="con" path="org.eclipse.jdt.launching.JRE_CONTAINER/org.eclipse.jdt.internal.debug.ui.launcher.StandardVMType/JavaSE-1.7"/>
<classpathentry combineaccessrules="false" kind="src" path="/net.sf.eclipsefp.haskell.style"/>
<classpathentry kind="con" path="org.eclipse.jdt.junit.JUNIT_CONTAINER/4"/>
<classpathentry kind="output" path="bin"/>
@@ -3,7 +3,7 @@ Bundle-ManifestVersion: 2
Bundle-Name: StyleTest
Bundle-SymbolicName: net.sf.eclipsefp.haskell.style.test
Bundle-Version: 2.6.1.qualifier
-Bundle-RequiredExecutionEnvironment: JavaSE-1.6
+Bundle-RequiredExecutionEnvironment: JavaSE-1.7
Require-Bundle: org.junit;bundle-version="[4.8.0,4.12.0)",
net.sf.eclipsefp.haskell.style;bundle-version="2.3.1"
Export-Package: net.sf.eclipsefp.haskell.style
@@ -1,6 +1,6 @@
<?xml version="1.0" encoding="UTF-8"?>
<classpath>
- <classpathentry kind="con" path="org.eclipse.jdt.launching.JRE_CONTAINER/org.eclipse.jdt.internal.debug.ui.launcher.StandardVMType/JavaSE-1.6"/>
+ <classpathentry kind="con" path="org.eclipse.jdt.launching.JRE_CONTAINER/org.eclipse.jdt.internal.debug.ui.launcher.StandardVMType/JavaSE-1.7"/>
<classpathentry kind="con" path="org.eclipse.pde.core.requiredPlugins"/>
<classpathentry kind="src" path="src"/>
<classpathentry kind="lib" path="lib/snakeyaml-1.10.jar"/>
@@ -12,7 +12,7 @@ Require-Bundle: org.eclipse.core.runtime,
org.eclipse.jface,
org.eclipse.ui
Bundle-ActivationPolicy: lazy
-Bundle-RequiredExecutionEnvironment: JavaSE-1.6
+Bundle-RequiredExecutionEnvironment: JavaSE-1.7
Bundle-Vendor: %bundleVendor
Bundle-Localization: plugin
Export-Package: net.sf.eclipsefp.haskell.style,
@@ -12,4 +12,4 @@ Require-Bundle: net.sf.eclipsefp.haskell.core.test,
net.sf.eclipsefp.haskell.style.test;bundle-version="2.3.1",
net.sf.eclipsefp.haskell.hlint.test;bundle-version="2.5.0"
Bundle-ActivationPolicy: lazy
-Bundle-RequiredExecutionEnvironment: JavaSE-1.6
+Bundle-RequiredExecutionEnvironment: JavaSE-1.7
@@ -19,4 +19,4 @@ Require-Bundle: org.junit;bundle-version="[4.8.0,4.12.0)",
net.sf.eclipsefp.haskell.core.test,
net.sf.eclipsefp.haskell.util
Export-Package: net.sf.eclipsefp.haskell.ui.test
-Bundle-RequiredExecutionEnvironment: JavaSE-1.6
+Bundle-RequiredExecutionEnvironment: JavaSE-1.7
@@ -94,6 +94,6 @@ Export-Package: net.sf.eclipsefp.common.ui.dialog;uses:="org.eclipse.swt.widgets
net.sf.eclipsefp.haskell.ui.util.preferences;uses:="net.sf.eclipsefp.haskell.ui.internal.preferences.editor",
net.sf.eclipsefp.haskell.ui.util.text;uses:="org.eclipse.jface.text,org.eclipse.jface.text.rules",
net.sf.eclipsefp.haskell.ui.wizards;x-friends:="net.sf.eclipsefp.haskell.ui.test,net.sf.eclipsefp.haskell.core.test"
-Bundle-RequiredExecutionEnvironment: JavaSE-1.6
+Bundle-RequiredExecutionEnvironment: JavaSE-1.7
Import-Package: org.eclipse.core.filesystem
Bundle-ActivationPolicy: lazy
@@ -1,6 +1,6 @@
<?xml version="1.0" encoding="UTF-8"?>
<classpath>
- <classpathentry kind="con" path="org.eclipse.jdt.launching.JRE_CONTAINER/org.eclipse.jdt.internal.debug.ui.launcher.StandardVMType/JavaSE-1.6"/>
+ <classpathentry kind="con" path="org.eclipse.jdt.launching.JRE_CONTAINER/org.eclipse.jdt.internal.debug.ui.launcher.StandardVMType/JavaSE-1.7"/>
<classpathentry kind="con" path="org.eclipse.pde.core.requiredPlugins"/>
<classpathentry kind="src" path="src"/>
<classpathentry kind="output" path="bin"/>
@@ -3,7 +3,7 @@ Bundle-ManifestVersion: 2
Bundle-Name: UtilTest
Bundle-SymbolicName: net.sf.eclipsefp.haskell.util.test
Bundle-Version: 2.6.1.qualifier
-Bundle-RequiredExecutionEnvironment: JavaSE-1.6
+Bundle-RequiredExecutionEnvironment: JavaSE-1.7
Require-Bundle: net.sf.eclipsefp.haskell.util;bundle-version="2.3.1",
org.junit;bundle-version="[4.8.0,4.12.0)"
Export-Package: net.sf.eclipsefp.haskell.util
@@ -8,7 +8,7 @@ Require-Bundle: org.eclipse.core.runtime,
org.eclipse.core.resources,
org.eclipse.core.net
Bundle-ActivationPolicy: lazy
-Bundle-RequiredExecutionEnvironment: JavaSE-1.6
+Bundle-RequiredExecutionEnvironment: JavaSE-1.7
Export-Package: net.sf.eclipsefp.haskell.util;uses:="org.osgi.framework",
org.apache.commons.lang3,
org.apache.commons.lang3.builder,
@@ -1,6 +1,6 @@
<?xml version="1.0" encoding="UTF-8"?>
<classpath>
- <classpathentry kind="con" path="org.eclipse.jdt.launching.JRE_CONTAINER/org.eclipse.jdt.internal.debug.ui.launcher.StandardVMType/JavaSE-1.6"/>
+ <classpathentry kind="con" path="org.eclipse.jdt.launching.JRE_CONTAINER/org.eclipse.jdt.internal.debug.ui.launcher.StandardVMType/JavaSE-1.7"/>
<classpathentry kind="con" path="org.eclipse.pde.core.requiredPlugins"/>
<classpathentry kind="src" path="src"/>
<classpathentry kind="output" path="bin"/>
@@ -8,5 +8,5 @@ Bundle-Vendor: %bundleVendor
Bundle-Localization: plugin
Require-Bundle: org.eclipse.ui,
org.eclipse.core.runtime
-Bundle-RequiredExecutionEnvironment: JavaSE-1.6
+Bundle-RequiredExecutionEnvironment: JavaSE-1.7
Bundle-ActivationPolicy: lazy
@@ -8,4 +8,4 @@ Bundle-Localization: plugin
Require-Bundle: org.eclipse.ui.cheatsheets;bundle-version="[3.2.0,4.0.0)",
net.sf.eclipsefp.haskell.ui
Bundle-ActivationPolicy: lazy
-Bundle-RequiredExecutionEnvironment: JavaSE-1.6
+Bundle-RequiredExecutionEnvironment: JavaSE-1.7
Oops, something went wrong.

0 comments on commit 65bfbf6

Please sign in to comment.